<?php
defined('_JEXEC') or die;
/*
 * @package    miniOrange
 * @subpackage Plugins
 * @license    GNU/GPLv3
 * @copyright  Copyright 2023 miniOrange. All Rights Reserved.
*/

JHtml::_('jquery.framework');
JHtml::_('stylesheet', JUri::base() . 'components/com_miniorange_web3/assets/css/mo_web3_style.css');
JHtml::_('stylesheet', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');
JHtml::_('stylesheet', JUri::base() . 'components/com_miniorange_web3/assets/css/miniorange_boot.css');
JHtml::_('script', JUri::base() . 'components/com_miniorange_web3/assets/js/web3_utility.js');
JHtml::_('script', JUri::base() . 'components/com_miniorange_web3/assets/js/bootstrap-select-min.js');

$root_url = JURI::root();
?>
    <input type="hidden" id='mo_root_url' value='<?php echo $root_url; ?>'/>
<?php


if (!Mo_Web3_Local_Util::is_curl_installed()) {
    ?>
    <div id="help_curl_warning_title" class="mo_saml_title_panel">
        <p><a target="_blank" style="cursor: pointer;"><span style="color:#FF0000">Warning: PHP cURL extension is not installed or disabled.</span>
                <span style="color:blue">Click here</span> for instructions to enable it.</font></a></p>
    </div>
    <div hidden="" id="help_curl_warning_desc" class="mo_saml_help_desc">
        <ul>
            <li>Step 1:&nbsp;&nbsp;&nbsp;&nbsp;Open php.ini file located under php installation folder.</li>
            <li>Step 2:&nbsp;&nbsp;&nbsp;&nbsp;Search for <strong>extension=php_curl.dll</strong></li>
            <li>Step 3:&nbsp;&nbsp;&nbsp;&nbsp;Uncomment it by removing the semi-colon(<strong>;</strong>) in front of it.</li>
            <li>Step 4:&nbsp;&nbsp;&nbsp;&nbsp;Restart the Apache Server.</li>
        </ul>
        For any further queries, please <a href="mailto:joomlasupport@xecurify.com">contact us</a>.
    </div>
    <?php
}

$tab = "overview";
$get = JFactory::getApplication()->input->get->getArray();
$test_config = isset($get['test-config']) ? true : false;
if (isset($get['tab']) && !empty($get['tab'])) {
    $tab = $get['tab'];
}
$session = JFactory::getSession();
$session->set('show_test_config', false);
if($test_config)
{
    $session->set('show_test_config', true);
}
?>

    <div class="mo_boot_row" style="width:100%!important">
        <div class="mo_boot_col-lg-11 ">
            <div class="nav-tab-wrapper mo_idp_nav-tab-wrapper ">

                <a id="overviewtab" class="mo_nav-tab <?php echo $tab == 'overview' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#overview_plugin"
                   onclick="add_css_tab('#overviewtab');"
                   data-toggle="tab">Overview
                </a>

                <a id="idptab" class="mo_nav-tab <?php echo $tab == 'config_settings' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#config_settings"
                   onclick="add_css_tab('#idptab');"
                   data-toggle="tab">Configure Settings
                </a>

                <a id="contact_address_config_tab"
                   class="mo_nav-tab <?php echo $tab == 'contact_address_config' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#contact_address_config"
                   onclick="add_css_tab('#contact_address_config_tab');"
                   data-toggle="tab">Contract Address Config
                </a>
                <a id="conent_restriction_tab"
                   class="mo_nav-tab <?php echo $tab == 'content_restriction' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#content_restriction"
                   onclick="add_css_tab('#conent_restriction_tab');"
                   data-toggle="tab">NFT Content Restriction
                </a>

                <a id="groupmappingtab"
                   class="mo_nav-tab <?php echo $tab == 'group_mapping' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#group-mapping"
                   onclick="add_css_tab('#groupmappingtab');"
                   data-toggle="tab">Group Mapping
                </a>

                <a id="licensingtab" class="mo_nav-tab <?php echo $tab == 'licensing' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#licensing-plans"
                   onclick="add_css_tab('#licensingtab');"
                   data-toggle="tab" style="background-color: orange !important;">Upgrade
                </a>

                <a id="registrationtab" class="mo_nav-tab <?php echo $tab == 'account' ? 'mo_nav_tab_active' : ''; ?>"
                   href="#account"
                   onclick="add_css_tab('#registrationtab');"
                   data-toggle="tab">My Account
                </a>
            </div>
        </div>
    </div>

    <script>

    </script>
    <div class="mo_boot_row" style="background-color:#e0e0d8;">
        <div class="mo_boot_col-sm-12">
            <div class="tab-content" id="myTabContent">
                <div id="overview_plugin" class="tab-pane <?php if ($tab == 'overview') echo 'active'; ?> ">
                    <?php common_classes('show_plugin_overview', 'mo_web3_local_support'); ?>
                </div>

                <div id="account" class="tab-pane <?php if ($tab == 'account') echo 'active'; ?> ">
                    <?php common_classes('account_tab', 'mo_web3_local_support'); ?>
                </div>

                <div id="contact_address_config" class="tab-pane <?php if ($tab == 'contact_address_config') echo 'active'; ?> ">
                    <?php contact_address_config(); ?>
                </div>


                <div id="content_restriction" class="tab-pane <?php if ($tab == 'content_restriction') echo 'active'; ?> ">
                    <?php content_restriction(); ?>
                </div>

                <div id="config_settings" class="tab-pane <?php if ($tab == 'config_settings') echo 'active'; ?>">
                    <?php common_classes('select_your_wallet', 'mo_web3_local_support'); ?>
                </div>

                <div id="group-mapping" class="tab-pane <?php if ($tab == 'group_mapping') echo 'active'; ?>">
                    <?php common_classes_for_UI('group_mapping', 'mo_web3_local_support', 'mo_web3_adv_loginaudit'); ?>
                </div>

                <div id="request-demo" class="tab-pane <?php if ($tab == 'request_demo') echo 'active'; ?>">
                    <?php common_classes('requestfordemo', 'mo_web3_local_support'); ?>
                </div>

                <div id="licensing-plans" class="tab-pane <?php if ($tab == 'licensing') echo 'active'; ?>">
                    <div class="row-fluid">
                        <table style="width:100%;">
                            <caption></caption>
                            <tr>
                                <th id="s"></th>
                            </tr>
                            <tr>
                                <td style="width:65%;vertical-align:top;" class="configurationForm">
                                    <?php Licensing_page(); ?>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php function common_classes_for_UI($tab_func, $support_func, $add_func)
{
    ?>
    <div class="mo_boot_row mo_boot_px-4 mo_boot_py-3">
        <div class="mo_boot_col-sm-8">
            <div>
                <?php
                $tab_func();
                ?>
            </div>
        </div>
        <div class="mo_boot_col-sm-4">
            <div id="mo_saml_support1">
                <?php
                $support_func();
                ?>
            </div>
            <div id="mo_saml_support2" class="mo_boot_py-3">
                <?php
                $add_func();
                ?>
            </div>
        </div>
    </div>
    <?php
}

function common_classes($tab_func, $support_func)
{
    ?>
    <div class="mo_boot_row mo_boot_px-4 ">
        <div class="mo_boot_col-sm-8 mo_boot_py-3 ">
            <div>
                <?php
                $tab_func();
                ?>
            </div>
        </div>
        <div class="mo_boot_col-sm-4 ">
            <div id="mo_saml_support1" class="mo_boot_py-3">
                <?php
                $support_func();
                ?>
            </div>
        </div>
    </div>
    <?php
}

?>

<?php

function account_tab()
{
    $customer_details = (new Mo_Web3_Local_Util)->_load_db_values('#__miniorange_web3_customer_details');
    $login_status = $customer_details['login_status'];
    $registration_status = $customer_details['registration_status'];
    if ($login_status) {
        mo_saml_local_login_page();
    } else if ($registration_status == 'MO_OTP_DELIVERED_SUCCESS' || $registration_status == 'MO_OTP_VALIDATION_FAILURE' || $registration_status == 'MO_OTP_DELIVERED_FAILURE') {
        mo_saml_local_show_otp_verification();
    } else if (!Mo_Web3_Local_Util::is_customer_registered()) {
        mo_saml_local_registration_page();
    } else {
        mo_saml_local_account_page();
    }
}

function mo_saml_local_login_page()
{
    ?>
    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3"
         style="border: 2px solid rgb(15, 127, 182); background-color:white">
        <div class="mo_boot_col-sm-12">
            <form name="f" method="post"
                  action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.verifyCustomer'); ?>">
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-12">
                        <input type="hidden" name="option1" value="mo_saml_local_verify_customer"/>
                        <h3>Login with miniOrange</h3>
                        <hr>
                        <p>
                            Please enter your miniOrange account credentials. If you forgot your password then enter
                            your email and click
                            on <strong>Forgot your password</strong> button. If you are not registered with miniOrange
                            then click on <strong>Back to registration</strong> button.
                        </p>
                    </div>
                </div>
                <div id="panel1" style="align:center!important;">
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-3 mo_boot_offset-sm-1">
                            <strong><em style="color:#FF0000">*</em> Email:</strong>
                        </div>
                        <div class="mo_boot_col-sm-6">
                            <input class="mo_saml_table_textbox mo_boot_form-control" type="email" name="email"
                                   style="border: 1px solid #868383 !important;" required
                                   placeholder="person@example.com" value=""/>
                        </div>
                    </div>
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-3 mo_boot_offset-sm-1">
                            <strong><em style="color:#FF0000">*</em> Password:</strong>
                        </div>
                        <div class="mo_boot_col-sm-6">
                            <input class="mo_saml_table_textbox mo_boot_form-control" required type="password"
                                   name="password" style="border: 1px solid #868383 !important;"
                                   placeholder="Enter your miniOrange password"/>
                        </div>
                    </div>
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-12 mo_boot_text-center" style="margin-left: 7%;">
                            <input type="submit" class="mo_boot_btn mo_boot_btn-saml mo_boot_mt-1" value="Login"/>
                            <input type="button" value="Back to Registration" onclick="moWeb3CancelForm();" class="mo_boot_btn mo_boot_btn-danger mo_boot_mt-1"/>
                            <a href="https://login.xecurify.com/moas/idp/resetpassword" target="_blank"
                               class="mo_boot_btn mo_boot_btn-saml mo_boot_mt-1 anchor_tag">Forgot your password?</a>
                        </div>
                    </div>
                </div>
            </form>
            <form id="cancel_form" method="post"
                  action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.cancelform'); ?>">
                <input type="hidden" name="option1" value="mo_saml_local_cancel"/>
            </form>
        </div>
    </div>
    <?php
}

function show_plugin_overview()
{
    ?>
    <div class="mo_boot_row mo_boot_mr-1 mo_boot_p-3 "
         style="border: 2px solid rgb(15, 127, 182); background-color:white">
        <div class="mo_boot_col-12">
            <h3>Overview</h3>
            <hr>
        </div>
        <div class="mo_boot_col-12"><br>
            <p><strong>miniOrange Web 3.0 Login</strong> plugin allows Secure Login with a secure decentralized system into your Joomla website using blockchain wallets such as MetaMask, Trust Wallet, Wallet Connect QR code, Phantom, Pera, Ledger, and Trezor or any EVM Compatible Wallet and restricts access to content based on non-fungible tokens (NFTs).<br>
            <p style="color: #0a53be;">The free version of the plugin is only intended for Proof of Concept (POC) purposes. Therefore, you can only perform a Test Connectivity with this version. If you wish to Login/Register using a different wallet address, you will need to upgrade to the licensed version</p>
            We also provide <strong> 7-day full featured trial </strong>of our premium plugin. So that you can test our plugin on your environment. Click <a href="#request-demo" data-toggle='tab'>here</a> to raise query for trial.
            </p>
        </div>
    </div>
    <?php
}

function mo_saml_local_account_page()
{
    $result = new Mo_Web3_Local_Util();
    $result = $result->_load_db_values('#__miniorange_web3_customer_details');
    $email = $result['email'];
    $customer_key = $result['customer_key'];
    $joomla_version = Web3_Utilities::getJoomlaCmsVersion();
    $phpVersion = phpversion();
    $PluginVersion = Web3_Utilities::GetPluginVersion();
    ?>

    <div class="mo_boot_row mo_boot_mr-1 mo_boot_p-3" style="background-color: #FFFF;border: 2px solid rgb(15, 127, 182) !important;">
        <div class="mo_boot_col-sm-12 mo_saml_welcome_message">
            <h4>Thank You for registering with miniOrange.</h4>
        </div>
        <div class="mo_boot_col-sm-12 table-responsive mo_boot_mt-3">
            <table class="table table-striped table-hover table-bordered ">
                <tr>
                    <td class="mo_profile_td_h">Username/Email</td>
                    <td class="mo_profile_td"><?php echo $email ?></td>
                </tr>
                <tr>
                    <td class="mo_profile_td_h">Customer ID</td>
                    <td class="mo_profile_td"><?php echo $customer_key ?></td>
                </tr>
                <tr>
                    <td class="mo_profile_td_h">Joomla Version</td>
                    <td class="mo_profile_td"><?php echo $joomla_version ?></td>
                </tr>
                <tr>
                    <td class="mo_profile_td_h">PHP Version</td>
                    <td class="mo_profile_td"><?php echo $phpVersion ?></td>
                </tr>
                <tr>
                    <td class="mo_profile_td_h">Plugin Version</td>
                    <td class="mo_profile_td"><?php echo $PluginVersion ?></td>
                </tr>
            </table>
        </div>
        <div class="mo_boot_col-sm-12 mo_boot_text-center" id="sp_proxy_setup">
            <form class="mo_boot_d-inline-block"
                  action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.ResetAccount'); ?>"
                  name="reset_useraccount" method="post">
                <input type="button" value="Remove Account" onclick='submit();' class="mo_boot_btn mo_boot_btn-danger"/><br/>
            </form>
        </div>
    </div>
    <?php
}

/* Show OTP verification page*/
function mo_saml_local_show_otp_verification()
{
    ?>
    <div id="panel2" class="mo_boot_p-4" style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);">
        <form name="f" method="post" id="idp_form"
              action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.validateOtp'); ?>">
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-12">
                    <input type="hidden" name="option1" value="mo_saml_local_validate_otp"/>
                    <h3>Verify Your Email</h3>
                    <hr><br>
                </div>
            </div>
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-2">
                    <strong><span style="color:#FF0000">*</span>Enter OTP:</strong>
                </div>
                <div class="mo_boot_col-sm-6">
                    <input class="mo_boot_form-control" autofocus="true" type="text" name="otp_token" required placeholder="Enter OTP"/>
                </div>
                <div class="mo_boot_col-sm-4">
                    <a style="cursor:pointer;" class="mo_boot_btn mo_boot_btn-primary" onclick="document.getElementById('resend_otp_form').submit();">Resend OTP over Email</a>
                </div>
            </div>
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-12 mo_boot_text-center"><br>
                    <input type="submit" value="Validate OTP" class="mo_boot_btn mo_boot_btn-success"/>
                    <input type="button" value="Back" class="mo_boot_btn mo_boot_btn-danger" onclick="moWeb3Back();"/>
                </div>
            </div><br>
        </form>

        <form method="post"
              action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.cancelform'); ?>"
              id="mo_web3_cancel_form">
            <input type="hidden" name="option1" value="mo_saml_local_cancel"/>
        </form>

        <form name="f" id="resend_otp_form" method="post"
              action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.resendOtp'); ?>">
            <input type="hidden" name="option1" value="mo_saml_local_resend_otp"/>
        </form>
        <hr><br>
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-12">
                <h3>I did not receive any email with OTP. What should I do?</h3>
            </div>
        </div>
        <form id="phone_verification" method="post"
              action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.phoneVerification'); ?>">
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-12">
                    <input type="hidden" name="option1" value="mo_saml_local_phone_verification"/>
                    <p>
                        If you can't see the email from miniOrange in your mails, please check your <strong>SPAM Folder</strong>. If you don't see an email even in SPAM folder, verify your identity with our alternate method.<br><br>
                        <strong>Enter your valid phone number here and verify your identity using one time passcode sent to your phone.</strong>
                    </p>
                </div>
            </div>
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-6">
                    <input class="mo_boot_form-control" required="true" pattern="[\+]\d{1,3}\d{10}" autofocus="true"
                           type="text"
                           name="phone_number" id="phone"
                           placeholder="Enter Phone Number with country code eg. +1xxxxxxxxx"
                           title="Enter phone number without any space or dashes with country code. (Please include country code ex:+91xxxxxxxxxx)"/>
                </div>
                <div class="mo_boot_col-sm-3">
                    <input type="submit" value="Send OTP on Phone" class="mo_boot_btn mo_boot_btn-primary"/>
                </div>
            </div>
        </form>
    </div>

    <?php
}

/* Create Customer function */
function mo_saml_local_registration_page()
{
    $database_name = '#__miniorange_web3_customer_details';
    $updatefieldsarray = array(
        'new_registration' => 1,
    );
    $result = new Mo_Web3_Local_Util();
    $result->generic_update_query($database_name, $updatefieldsarray);
    ?>

    <!--Register with miniOrange-->
    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3" id="submit_proxy"
         style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);display:none;">
    </div>
    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3" id="panel1"
         style="border: 2px solid rgb(15, 127, 182); background-color:white">
        <div class="mo_boot_col-sm-12">
            <form name="f" method="post"
                  action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.registerCustomer'); ?>">
                <div class="mo_boot_row mo_boot_mt-3">
                    <div class="mo_boot_col-lg-5  mo_boot_mt-1">
                        <input type="hidden" name="option1" value="mo_saml_local_register_customer"/>
                        <h3>Register with miniOrange</h3>
                    </div>
                </div>
                <hr/>
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-12">
                        <h4>Why should I register?</h4>
                        <p class='alert alert-info'>
                            You should register so that in case you need help, we can help you with step by step
                            instructions. We support all known hot wallet like MetaMask, WalletConnect, Edge, Electrum, Coinbase, Trust, Robinhood, Binance, Mycelium, AtomicDEX, Jaxx, Samourai, Huobi, Luno, ZenGo, Crypto.com, Bitcoin IRA, Exodus for website login.
                            Popular cold wallets like Ledger Nano S, Ledger Nano X, Gamestop, Trezor, KeepKey, CoolWallet Pro, Safepal S1, Keystone Pro
                            etc. <strong>You will also need a miniOrange account to upgrade
                                to the license version of the plugins</strong>. We do not store any information except
                            the email that you will use to register with us.
                        </p><br>
                        <p style="color: #fa2727">
                            If you face any issues during registraion then you can
                            <a href="https://www.miniorange.com/businessfreetrial" target="_blank"><strong>click
                                    here</strong></a>
                            to quick register your account with miniOrange and use the same credentials to login into
                            the plugin.
                        </p>
                    </div>
                </div>
                <br>
                <div id="spregister" class="mo_saml_settings_table">
                    <div class="mo_boot_row" id="spemail">
                        <div class="mo_boot_col-sm-3">
                            <strong>Email<em style="color:#FF0000">*</em>:</strong>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <?php
                            $current_user = JFactory::getUser();
                            $result = new Mo_Web3_Local_Util();
                            $result = $result->_load_db_values('#__miniorange_web3_customer_details');
                            $admin_email = $result['email'];
                            $admin_phone = $result['admin_phone'];
                            if ($admin_email == '') {
                                $admin_email = $current_user->email;
                            }
                            ?>
                            <input class="mo_saml_table_textbox mo_boot_form-control" type="email" name="email"
                                   style="border: 1px solid #868383 !important;" placeholder="person@example.com"
                                   required value="<?php echo $admin_email; ?>"/>
                        </div>
                    </div>
                    <br>
                    <div class="mo_boot_row" id="sprg_phone">
                        <div class="mo_boot_col-sm-3">
                            <strong>Phone number:</strong>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <input class="mo_saml_table_textbox mo_boot_form-control" type="tel" id="phone"
                                   style="border: 1px solid #868383 !important;"
                                   pattern="[\+]\d{11,14}|[\+]\d{1,4}([\s]{0,1})(\d{0}|\d{9,10})" name="phone"
                                   title="Phone with country code eg. +1xxxxxxxxxx"
                                   placeholder="Phone with country code eg. +1xxxxxxxxxx"
                                   value="<?php echo $admin_phone; ?>"/>
                            <p><em><strong>NOTE:</strong>We will call only if you call for support</em></p>
                        </div>
                    </div>
                    <div class="mo_boot_row" id="sprg_passwd">
                        <div class="mo_boot_col-sm-3">
                            <strong>Password<em style="color:#FF0000">*</em>:</strong>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <input class="mo_saml_table_textbox mo_boot_form-control" required type="password"
                                   style="border: 1px solid #868383 !important;" name="password"
                                   placeholder="Choose your password (Min. length 6)"/>
                        </div>
                    </div>
                    <br>
                    <div class="mo_boot_row" id="rg_repasswd">
                        <div class="mo_boot_col-sm-3">
                            <strong>Confirm Password<em style="color:#FF0000">*</em>:</strong>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <input class="mo_saml_table_textbox mo_boot_form-control" required type="password"
                                   style="border: 1px solid #868383 !important;" name="confirmPassword"
                                   placeholder="Confirm your password"/>
                        </div>
                    </div><br>
                    <div class="mo_boot_row">
                        <div class="mo_boot_col-sm-12 mo_boot_text-center">
                            <input type="submit" value="Register" class="mo_boot_btn mo_boot_btn-saml"/>
                            <input type="button" value="Login" class="mo_boot_btn mo_boot_btn-success" onclick="mo_login_page();"/>
                        </div>
                    </div>
                </div>
            </form>
            <form name="f" id="customer_login_form" method="post"
                  action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.customerLoginForm'); ?> ">
            </form>
        </div>
    </div>
    <?php
}

function contact_address_config()
{
    $edit_url = JRoute::_('index.php?option=com_miniorange_web3&tab=contact_address_config&canedit=').'null';

    ?>
    <div class="mo_boot_row mo_boot_mr-1 mo_boot_mt-3 mo_boot_p-3" style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);padding-bottom:22px !important;margin-left:1px !important;">
        <div class="mo_boot_col-sm-12 mo_boot_mt-1">
            <div class="mo_boot_row">
                <div class="mo_boot_col-lg-10 mo_boot_mt-1" style="background: #435d7d;color: #fff;padding: 16px 30px;min-width: 100%;border-radius: 3px 3px 0 0;">
                    <h3 style="color:white;">Contract Address Configuration
                        <a type="button" class="btn btn-success" data-toggle="modal" style="background-color: #18bb18 !important;" disabled="disabled"><span>Add Token Detail</span></a>
                    </h3>
                </div>

                <table id="moWeb3TokenDetailsTable" class="table table-striped table-hover">
                    <thead>
                    <tr>
                        <th>Contract Name<span style="color:red">*<span></th>
                        <th>Contract Address<span style="color:red">*<span></th>
                        <th>Minimum No. of token&nbsp</th>
                        <th>Token IDs&nbsp;<?php  ?></th>
                        <th>Blockchain<span style="color:red">*<span></th>
                        <th>Actions</th>
                    </tr>
                    </thead>
                    <tbody id="moWeb3TokenDetailsManager">
                    <tr>
                        <td align='center' colspan='6'>Available in the <a href='#' class='premium' onclick="moWeb3Upgrade();" style="text-decoration: none;"><strong>Premium</strong></a> Version</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <hr>
        </div>
    </div>

    <?php
}

function content_restriction()
{
    $edit_url = JRoute::_('index.php?option=com_miniorange_web3&tab=content_restriction&cga_id=').'null';

    ?>
    <div class="mo_boot_row mo_boot_mr-1 mo_boot_mt-3 mo_boot_p-3" style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);padding-bottom:22px !important;margin-left:1px !important;">
        <div class="mo_boot_col-sm-12 mo_boot_mt-1">
            <div class="mo_boot_row">
                <div class="mo_boot_col-lg-10 mo_boot_mt-1" style="background: #435d7d;color: #fff;padding: 16px 30px;min-width: 100%;border-radius: 3px 3px 0 0;">
                    <h3 style="color:white;">Content Gating Configuration
                        <a type="button" class="btn btn-success" data-toggle="modal" style="background-color: #18bb18 !important;" disabled="disabled"><span>Add Content Gating Details</span></a>
                    </h3>
                </div>

                <table id="moWeb3TokenDetailsTable" class="table table-striped table-hover">
                    <thead>
                    <tr>
                        <th>Page URL Regex<span style="color:red">*<span></th>
                        <th>Contract Address Name<span style="color:red">*<span></th>
                        <th>Error URL</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody id="moWeb3TokenDetailsManager">
                    <tr>
                        <td align='center' colspan='6'>Available in the <a href='#' class='premium' onclick="moWeb3Upgrade();" style="text-decoration: none;"><strong>Premium</strong></a> Version</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <hr>
        </div>
    </div>


    <?php
}

function Licensing_page()
{
    $useremail = new Mo_Web3_Local_Util();
    $useremail = $useremail->_load_db_values('#__miniorange_web3_customer_details');
    if (isset($useremail)) $user_email = $useremail['email'];
    else $user_email = "xyz";
    ?>

    <div id="myModal" class="TC_modal">
        <div class="TC_modal-content" style="width: 40%!important;">
            <span class="TC_modal_close" onclick="hidemodal()">&times;</span><br><br>
            <div class="mo_boot_text-center">
                <p>
                    You Need to Login / Register in <strong>My Account</strong> tab to Upgrade your License
                </p><br><br>

                <a href="<?php echo JURI::base() ?>index.php?option=com_miniorange_web3&tab=account"
                   class="mo_boot_btn mo_boot_btn-primary">LOGIN / REGISTER</a>
            </div>
        </div>
    </div>
    <div class="mo_boot_row mo_boot_ml-4 mo_boot_mr-4 mo_boot_mb-4">
        <div class="tab-content">

            <div class="mo_boot_col-sm-12" style="border:2px solid blue;background:white;box-sizing:border-box;">

                <div id="navbar" style="height:68px !important;">
                    <div class="mo_boot_row "
                         style="background-color: #e4e6e8  !important; height:90px; text-align:center;position:stikcy">
                        <div class="mo_boot_col-sm-3 mo_boot_mt-3">
                            <strong><a href="#licensing_plans" id="plans-section" class="navbar-links" style=" width:70%;padding:10px 9px 9px 15px;color:white;">Plans</a></strong>
                        </div>
                        <div class="mo_boot_col-sm-3 mo_boot_mt-3"><strong><a href="#addonContent" id="addon-section" class="navbar-links" style="  width:70%;padding:10px 9px 9px 15px;color:white;">Add Ons</a></strong></div>
                        <div class="mo_boot_col-sm-3 mo_boot_mt-3"><strong><a href="#upgrade-steps" id="upgrade-section" class="navbar-links" style=" width:70%;padding:10px 9px 9px 15px;color:white; ">Upgrade Steps</a></strong></div>
                        <div class="mo_boot_col-sm-3 mo_boot_mt-3"><strong><a href="#payment-method" id="payment-section" class="navbar-links" style=" width:70%;padding:10px 9px 9px 15px;color:white;">Payment Methods</a></strong></div>
                    </div>
                    <br>
                </div>
                <div id="licensing_plans">
                    <div class="tab-pane active " style="background-color:#ecf2f2;" id="license_content">
                        <div class="cd-pricing-container cd-has-margins"><br>
                            <ul class="cd-pricing-list cd-bounce-invert">
                                <li class="cd-black" style="box-shadow: 0 4px 8px 0 rgb(0 0 0 / 40%);">
                                    <ul class="cd-pricing-wrapper">
                                        <li id="singlesite_tab" data-type="singlesite"
                                            class="mosslp is-visible cd-singlesite" style="width: 100%">
                                            <header class="cd-pricing-header" style="height: 170px">
                                                <h2 style="margin-bottom: 10px">Standard<br/></h2><span class="mo_saml_plan_description"><strong>(Crypto Wallet Login Support + Auto Creation of Users)</strong></span><br>
                                            </header> <!-- .cd-pricing-header -->
                                            <div style="text-align:center;display:none">
                                                <span id="plus_total_price" style="font-weight: bolder;font-size: xx-large;color:black">$99*</span><br><span class="mo_saml_note"><strong>[One Time Payment]</strong></span><br/>
                                            </div>
                                            <footer>
                                                <?php
                                                if (!Mo_Web3_Local_Util::is_customer_registered()) {
                                                    echo '<button class="cd-select" style="font-size: 85.5%; cursor: pointer;width:100%;border:none;height:70px" onclick="showmodal()">UPGRADE NOW</button>';
                                                } else {
                                                    $redirect1 = "https://login.xecurify.com/moas/login?username=" . $user_email . "&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=joomla_web3_auth_standard_plan";
                                                    echo '<a target="_blank" class="cd-select" style="text-align:center;font-size: 85.5%; cursor: pointer;width:100%;border:none;height:70px;padding:25px"  href="' . $redirect1 . '" >UPGRADE NOW</a>';
                                                }
                                                ?>
                                            </footer>
                                            <div class="cd-pricing-body">
                                                <ul class="cd-pricing-features">
                                                    <li class="mo_pricing_list">&#9989;&emsp;Log in with the Crypto Wallet button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Log in with the Crypto Wallet button available on the Joomla login default page.</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Option to hide the Login with Crypto Wallet button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Login with Cryptowallet support for MetaMask, Wallet Connect, Coinbase, Phantom, and MyAlgo Wallet</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Custom styling for the Login Button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;The custom placing of the button anywhere on the Joomla site</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Custom Redirect after login</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Token-gated content for a single blockchain</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Multiple contract addresses supported for a particular page</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Regex-based rule(All child pages will block automatically under the configured URL)</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Support cold wallets like Ledger, trezor, etc</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Support Added for Hedera, Algorand, and Solana Blockchain</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;NFT / token - content for multiple blockchains</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Content gating based on the quantity/number of the NFTs/Tokens</li>
                                                    <li class="mo_pricing_list">&#10060;&emsp;Joomla role mapping based on NFT owned by crypto user</li>
                                                </ul>
                                            </div>
                                        </li>
                                    </ul> <!-- .cd-pricing-wrapper -->
                                </li>
                                <li class="cd-black" style="box-shadow: 0 4px 8px 0 rgb(0 0 0 / 40%);">
                                    <ul class="cd-pricing-wrapper">
                                        <li id="singlesite_tab" data-type="singlesite" class="mosslp is-visible"
                                            style="height=600px; width: 100%; left: 30%; ">
                                            <header class="cd-pricing-header" style="height: 170px">
                                                <h2 style="margin-bottom: 10px">Premium<br/></h2><span class="mo_saml_plan_description"><strong>(Profile Completion on Wallet Connect + NFT Gated Contents)</strong></span><br/>
                                            </header> <!-- .cd-pricing-header -->
                                            <div style="text-align:center;display:none">
                                                <span id="plus_total_price" style="font-weight: bolder;font-size: xx-large;color:black">$199*</span><br><span class="mo_saml_note"><strong>[One Time Payment]</strong></span><br/>
                                            </div>
                                            <footer>
                                                <?php
                                                if (!Mo_Web3_Local_Util::is_customer_registered()) {
                                                    echo '<button class="cd-select" style="font-size: 85.5%; cursor: pointer;width:100%;border:none;height:70px" onclick="showmodal()">UPGRADE NOW</button>';
                                                } else {
                                                    $redirect1 = "https://login.xecurify.com/moas/login?username=" . $user_email . "&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=joomla_web3_auth_premium_plan";
                                                    echo '<a target="_blank" class="cd-select" style="text-align:center;font-size: 85.5%; cursor: pointer;width:100%;border:none;height:70px;padding:25px"  href="' . $redirect1 . '" >UPGRADE NOW</a>';
                                                }
                                                ?>
                                            </footer>
                                            <div class="cd-pricing-body">
                                                <ul class="cd-pricing-features">
                                                    <li class="mo_pricing_list">&#9989;&emsp;Log in with the Crypto Wallet button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Log in with the Crypto Wallet button available on the Joomla login default page.</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Option to hide the Login with Crypto Wallet button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Login with Cryptowallet support for MetaMask, Wallet Connect, Coinbase, Phantom, and MyAlgo Wallet</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Custom styling for the Login Button</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;The custom placing of the button anywhere on the Joomla site</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Custom Redirect after login</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Token-gated content for a single blockchain</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Multiple contract addresses supported for a particular page</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Regex-based rule(All child pages will block automatically under the configured URL)</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Support cold wallets like Ledger, trezor, etc</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Support Added for Hedera, Algorand, and Solana Blockchain</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;NFT / token - content for multiple blockchains</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Content gating based on the quantity/number of the NFTs/Tokens</li>
                                                    <li class="mo_pricing_list">&#9989;&emsp;Joomla role mapping based on NFT owned by crypto user</li>
                                                </ul>
                                            </div> <!-- .cd-pricing-body -->
                                        </li>
                                    </ul> <!-- .cd-pricing-wrapper -->
                                </li>
                            </ul> <!-- .cd-pricing-list -->
                        </div> <!-- .cd-pricing-container -->
                    </div>
                    <br>
                </div>
            </div>
            <!-- Modal -->
            <br/>

            <?php echo showAddonsContent(); ?>
            <div style="border:2px solid blue;background:white;box-sizing:border-box; padding-top: 10px;" id="upgrade-steps">
                <div style="padding-top: 1px;">
                    <h2 style="text-align:center">HOW TO UPGRADE TO PREMIUM</h2>
                </div><hr><br><br>
                <section id="section-steps">
                    <div class="mo_boot_col-sm-12 mo_boot_row ">
                        <div class=" mo_boot_col-sm-6 works-step">
                            <div><strong>1</strong></div>
                            <p>
                                Click on <strong><em>Upgrade Now</em></strong> button for required license version and
                                you will be redirected to register with miniorange page. After registration click on
                                <strong><em>Upgrade Now</em></strong> and you will be redirected to<span stye="margin-left:10px"></span> miniOrange login console.
                            </p>
                        </div>
                        <div class="mo_boot_col-sm-6 works-step">
                            <div><strong>4</strong></div>
                            <p>
                                You can download the license version plugin from the <strong><em>View License > Releases and Downloads</em></strong> section on the miniOrange console.
                            </p>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-12 mo_boot_row ">
                        <div class=" mo_boot_col-sm-6 works-step">
                            <div><strong>2</strong></div>
                            <p>
                                Enter your miniOrange account credentials. You can create one for free <em><strong><a href="<?php echo JURI::base() ?>index.php?option=com_miniorange_web3&tab=account">here</a></strong></em>
                                if you don't have. Once you have successfuly logged in, you will be redirected towards the payment page.
                            </p>
                        </div>
                        <div class="mo_boot_col-sm-6 works-step">
                            <div><strong>5</strong></div>
                            <p>
                                Uninstall the free plugin that is currently installed from the JOOMLA admin dashboard.
                            </p>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-12 mo_boot_row ">
                        <div class="mo_boot_col-sm-6 works-step">
                            <div><strong>3</strong></div>
                            <p>
                                Enter your card details and proceed for payment. On successful payment completion, the
                                license version plugin will be available to download.
                            </p>
                        </div>
                        <div class=" mo_boot_col-sm-6 works-step">
                            <div><strong>6</strong></div>
                            <p>Now install the downloaded license version plugin and login using the account which you have used for the purchase of licensed plugin.<br><br></p>
                        </div>
                    </div>
                </section>
            </div>
            <div id="payment-method"
                 style="border:2px solid blue;background:white;box-sizing:border-box; padding-top: 10px;margin-top:20px;">
                <h2 style="text-align:center">ACCEPTED PAYMENT METHODS</h2>
                <hr>
                <div class="mo_boot_col-sm-11 mo_boot_row mo_boot_offset-1 mo_boot_my-4">
                    <div class="mo_boot_col-sm-5">
                        <div class="plan-box">
                            <div style="background-color:white; border-radius:10px; ">
                                <em style="font-size:30px;" class="fa fa-cc-amex" aria-hidden="true"></em>
                                <em style="font-size:30px;" class="fa fa-cc-visa" aria-hidden="true"></em>
                                <em style="font-size:30px;" class="fa fa-cc-mastercard" aria-hidden="true"></em>
                            </div>
                            <div>
                                If the payment is made through Credit Card/International Debit Card, the license will be created automatically once the payment is completed.
                            </div>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-5">
                        <div class="plan-box">
                            <div style="background-color:white; border-radius:10px; ">
                                <img class="payment-images card-image" src="" alt="">
                                <em style="font-size:30px;" class="fa fa-university" aria-hidden="true"><span style="font-size: 20px;font-weight:500;">&nbsp;&nbsp;Bank Transfer</span></em>
                            </div>
                            <div>
                                If you want to use bank transfer for the payment then contact us at <strong><em><span>info@xecurify.com</span></em></strong> so that we can provide you the bank details.
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <p style="margin-top:20px;font-size:16px;text-align:center">
                            <span style="font-weight:500;"> Note :</span> Once you have paid through PayPal/Net Banking,
                            please inform us so that we can confirm and update your license.
                        </p>
                    </div>
                </div>
            </div>
            <!--Don't delete below function call-->
            <div style="border:2px solid blue;background:white;box-sizing:border-box; padding-top: 10px;" class="mo_boot_my-4">   
                <h2 class="mo_boot_mx-4 mo_boot_my-2">Frequently Asked Questions</h2> 
		        <div class="mo_boot_mx-4">
		            <div class="mo_boot_row">
			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">What is an instance?</h3>
				            <div class="mo_web3_faq_body">
					            <p>A Joomla instance refers to a single installation of a Joomla site. It refers to each individual website where the plugin is active. In the case of multiple Joomla sites, each site will be counted as a single instance. For example, You have 3 sites hosted for development, staging, and production. This will be counted as 3 instances.</p>
				            </div>
				            <hr class="mo_web3_hr_line">
			            </div>
		
			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">Does miniOrange offer technical support?</h3>
				            <div class="mo_web3_faq_body">
					            <p>Yes, we provide 24*7 support for any and all issues you may face while using our Web3 plugin. This includes technical support from our developers. You can get prioritized support based on the Support Plan you have opted for.</p>
			    	        </div>
				            <hr class="mo_web3_hr_line">
			            </div>
		            </div>
		
                    <div class="mo_boot_row">
			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">Does miniOrange store any user data?</h3>
				            <div class="mo_web3_faq_body">
					            <p>miniOrange does not store or transfer any data that comes from the different wallets. All the data remains within your premises/server.</p>
				            </div>
				            <hr class="mo_web3_hr_line">
			            </div>

			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">Does miniOrange offer customization?</h3>
				            <div class="mo_web3_faq_body">
					            <p>Yes, miniOrange does provide customizations on top of our premium plugins and add-ons. We have a team of skilled developers who can customize the plugin to suit your use case and requirements.</p>
				            </div>
				            <hr class="mo_web3_hr_line">
			            </div>
		            </div>
		            
                    <div class="mo_boot_row">	
			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">Does miniOrange provide developer license for paid plugins?</h3>
				            <div class="mo_web3_faq_body">
					            <p>We do not provide a developer license for our paid plugins and the source code is protected. It is strictly prohibited to make any changes in the code without having written permission from miniOrange.</p>
				            </div>
				            <hr class="mo_web3_hr_line">
			            </div>
			            <div class="mo_boot_col-sm-6">
				            <h3 class="mo_web3_faq_page">What is the refund policy?</h3>
				            <div class="mo_web3_faq_body">
					            <p>At miniOrange, we want to ensure you are 100% happy with your purchase. If the licensed plugin you purchased is not working as advertised and you've attempted to resolve any feature issues with our support team but couldn't get them resolved, we will refund the amount paid for the plugin. Please note that we will not refund any fees paid for support plans, support hours, or customization charges.</p><br><p>Note that this policy does not cover the following, any change in mind or change in requirements after purchase or Infrastructure issues that do not allow the functionality to work.</p>
				            </div>
				            <hr class="mo_web3_hr_line">
                        </div>
       	            </div>
				</div>
		        <script>
			        var test = document.querySelectorAll('.mo_web3_faq_page');
			            test.forEach(function(header) {
				        header.addEventListener('click', function() {
					    var body = this.nextElementSibling;
					    body.style.display = body.style.display === 'none' || body.style.display =="" ? 'block' : 'none';
  			        	});
			        });
		        </script>
            </div>

    </div>
    <style>
        .cd-black :hover #singlesite_tab.is-visible {
            margin-right: 4px;
            transition: 0.4s;
            -moz-transition: 0.4s;
            -webkit-transition: 0.4s;
            border-radius: 8px;
            transform: scale(1.03);
            -ms-transform: scale(1.03); /* IE 9 */
            -webkit-transform: scale(1.03); /* Safari */

            box-shadow: 0 0 4px 1px rgba(255, 165, 0, 0.8);
        }

        h1 {
            margin: .67em 0;
            font-size: 2em;
        }

        ul {
            list-style: none; /* Remove HTML bullets */
            padding: 0;
            margin: 0;
        }

        li {
            list-style: none; /* Remove HTML bullets */
            padding: 0;
            margin: 0;
        }
    </style>
    <style>
        .popover-title {
            background: #ffff99;
        }

        .popover-content {
            background: #F2F8FA;
        }
    </style>

    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    <script>
        jQuery(document).ready(function () {
            jQuery('[data-toggle="popover"]').popover();
        });
    </script>
    <?php
}

function showAddonsContent()
{

    define("MO_ADDONS_CONTENT", serialize(array(

        "JOOMLA_ICB" => [
            'id' => 'mo_joomla_icb',
            'addonName' => 'Integrate with Community Builder',
            'addonDescription' => 'By using the Community Builder Add-on you would be mapping the user details into the CB\'s comprofilers fields table which containing the values from the table comprofiler',
            'addonLink' => 'https://www.miniorange.com/contact',
        ],
        "JOOMLA_IP_RESTRICT" => [
            'id' => 'mo_joomla_ip_rest',
            'addonName' => 'Media Restriction',
            'addonDescription' => 'Depending on the user group or whether the user is logged in or not, restrict access to certain Joomla files or folders.',
            'addonLink' => 'https://plugins.miniorange.com/media-restriction-in-joomla',
        ],
        "JOOMLA_USER_SYNC_OKTA" => [
            'id' => 'mo_joomla_okta_sync',
            'addonName' => 'Sync users from your IdP in Joomla (SCIM Plugin)',
            'addonDescription' => 'This plugin sync users from your IdP to Joomla database.When an Identity Provider creates, updates, or deletes a user, that user will also be added, updated, or deleted from the Joomla site.',
            'addonLink' => 'https://plugins.miniorange.com/joomla-scim-user-provisioning',
        ],
        "JOOMLA_PAGE_RESTRICTION" => [
            'id' => 'mo_joomla_page_rest',
            'addonName' => 'Page Restriction',
            'addonDescription' => 'This plugin is basically used to protect the pages/posts of your site with IDP login page and also, restrict the access to pages/posts of the site based on the user roles.',
            'addonLink' => 'https://plugins.miniorange.com/page-and-article-restriction-for-joomla',
        ],
        "JOOMLA_SSO_AUDIT" => [
            'id' => 'mo_joomla_audit',
            'addonName' => 'SSO Login Audit',
            'addonDescription' => 'SSO Login Audit captures all the SSO users and will generate the reports.',
            'addonLink' => 'https://plugins.miniorange.com/joomla-login-audit-login-activity-report',
        ],
        "JOOMLA_RBA" => [
            'id' => 'mo_joomla_rba',
            'addonName' => 'Role/Group Based Redirection',
            'addonDescription' => 'This plugin helps you to redirect your users to different pages after they log into your site, based on the role sent by your Identity Provider.',
            'addonLink' => 'https://plugins.miniorange.com/role-based-redirection-for-joomla',
        ],
    )));

    $displayMessage = "";
    $messages = unserialize(MO_ADDONS_CONTENT);


    echo '<div style="border:2px solid blue;background:white;box-sizing:border-box;padding: 33px;" id="addonContent"><h2 style="text-align:center">Web3 Plugin Add-ons</h2><hr><br>
        <div class="mo_otp_wrapper">';
    foreach ($messages as $messageKey) {
        $message_keys = isset($messageKey['addonName']) ? $messageKey['addonName'] : '';
        $message_description = isset($messageKey["addonDescription"]) ? $messageKey["addonDescription"] : 'Hi! I am interested in the addon, could you please tell me more about this addon?';
        echo '<div id="' . $messageKey["id"] . '">
                <h3 style="color:white;text-align:center">' . $message_keys . '<br /><br /></h3>                              
                <footer style="text-align:center">
                    <a type="button" class="mo_btn btn-primary" style="background-color: #007bff" href="' . $messageKey['addonLink'] . '" target="_blank">Interested</a>  
                </footer>
                <span class="cd-pricing-body">
                    <ul class="cd-pricing-features">
                        <li style="color:white;text-align: center;">' . $message_description . '</li>
                    </ul>
                </span>
            </div>';
    }
    echo '</div></div><br>';
    return $displayMessage;
}

function group_mapping()
{
    $role_mapping_key_value = array();
    $attribute = new Mo_Web3_Local_Util();
    $group_attr = '';
    $mapping_value_default = "";

    ?>
    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3"
         style="background-color: #FFFF;border: 2px solid rgb(15, 127, 182) !important;">
        <div class="mo_boot_col-sm-6  mo_boot_mt-3">
            <h3>Group Mapping</h3>
        </div>
        <div class="mo_boot_col-sm-12  mo_boot_mt-1">
            <hr>
            <form action=""
                  name="proxy_form" method="post">
                <div class="mo_boot_row mo_boot_mt-1">
                    <div class="mo_boot_col-sm-12">
                        <input id="mo_sp_grp_enable" class="mo_saml_custom_checkbox" disabled="disabled" type="checkbox" name="enable_role_mapping" value="1">&emsp;<strong>Enable Group Mapping</strong><br>
                        <p class="mo_saml_custom_checkbox"><strong style="color: chocolate">&emsp;&emsp;Note: </strong>Once enabled, user will mapped to roles based NFTs they own</p>
                        <p class="mo_saml_custom_checkbox">Role will be assigned only to non-admin users (user that do NOT have Administrator privileges). You will have to manually change the role of Administrator users.</p>
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-3" id="mo_sp_grp_defaultgrp">

                    <div class="mo_boot_col-sm-4">
                        <p><strong>Select default group for both new user and logged in users.</strong></p>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <select class="mo_boot_form-control" name="mapping_value_default" style="width:100%"
                                id="default_group_mapping">
                            <?php $noofroles = 0;

                            $db = JFactory::getDbo();
                            $db->setQuery($db->getQuery(true)
                                ->select('*')
                                ->from("#__usergroups"));
                            $groups = $db->loadRowList();
                            foreach ($groups as $group) {
                                if ($group[4] != 'Super Users') {
                                    if ($mapping_value_default == $group[0]) echo '<option selected="selected" value = "' . $group[0] . '">' . $group[4] . '</option>';
                                    else echo '<option  value = "' . $group[0] . '">' . $group[4] . '</option>';
                                }
                            }
                            ?>
                        </select><br><br>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <select style="display:none" id="wp_roles_list">
                            <?php
                            $db = JFactory::getDbo();
                            $db->setQuery('SELECT `title`' . ' FROM `#__usergroups`');
                            $groupNames = $db->loadColumn();
                            $noofroles = count($groupNames);
                            for ($i = 0; $i < $noofroles; $i++) {
                                echo '<option  value = "' . $groupNames[$i] . '">' . $groupNames[$i] . '</option>';
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-1" style="background-color: #d2d1d1;padding:10px;">
                    <div class="mo_boot_col-sm-12">
                        <input type="checkbox" class="mo_saml_custom_checkbox" name="disable_update_existing_users_role" value="1" disabled>&emsp;Do not update existing user&#39;s roles, if roles are not mapped.
                        <strong>
                            <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>[Premium]</strong></a>
                        </strong><br>
                        <input type="checkbox" class="mo_saml_custom_checkbox" name="disable_update_existing_users_role" value="1" disabled>&emsp;Do not update existing user&#39;s roles and add newly mapped roles.
                        <strong> <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>[Premium]</strong></a>
                        </strong><br>
                        <input type="checkbox" class="mo_saml_custom_checkbox" name="disable_create_users" value="1" disabled>&emsp;Do not auto create users if roles are not mapped.
                        <strong>
                            <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>[Premium]</strong></a>
                        </strong><br>
                    </div>
                </div><br>

                <div class="mo_boot_row mo_boot_mt-1" style="background-color: #d2d1d1;padding:10px;">
                    <div class="mo_boot_col-sm-12">
                        <p>NOTE: Customized group mapping options shown below are configurable in the <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>Premium</strong></a> versions of the plugin.</p>
                    </div>
                </div>
            </form>
        </div>
        <div class="mo_boot_col-sm-12 mo_boot_table-responsive">
            <table class="mo_saml_settings_table" id="saml_role_mapping_table">
                <caption></caption>
                <tr>
                    <th id="tt"></th>
                </tr>

                <tr>
                    <td><br></td>
                    <td><br></td>
                </tr>
                <tr>
                    <td style="width:20%"><h3><strong>Group Name in Joomla</strong></h3></td>
                    <td style="width:50%" class="mo_boot_text-center"><h3><strong>Contract Address</strong></h3></td>
                </tr>
                <?php
                $user_role = array();
                $db = JFactory::getDbo();
                $db->setQuery($db->getQuery(true)
                    ->select('*')
                    ->from("#__usergroups"));
                $groups = $db->loadRowList();
                if (empty($role_mapping_key_value)) {
                    foreach ($groups as $group) {
                        if ($group[4] != 'Super Users') {
                            echo '<tr><td><h5>' . $group[4] . '</h5></td><td><input type="text" name="saml_am_group_attr_values_' . $group[0] . '" value= "" placeholder="Semi-colon(;) separated Group/Role value for ' . $group[4] . '"  disabled class="mo_boot_form-control"' . ' /></td></tr>';
                        }
                    }
                    ?>
                    <?php
                } else {
                    $j = 1;
                    foreach ($role_mapping_key_value as $mapping_key => $mapping_value) {
                        ?>
                        <tr>
                            <td>
                                <input class="mo_saml_table_textbox mo_boot_form-control" type="text"
                                       name="mapping_key_<?php echo $j; ?>" value="<?php echo $mapping_key; ?>"
                                       placeholder="cn=group,dc=domain,dc=com"/>
                            </td>
                            <td>
                                <select name="mapping_value_<?php echo $j; ?>" id="role" class="mo_boot_form-control">
                                    <?php
                                    $db = JFactory::getDbo();
                                    $db->setQuery('SELECT `title`' . ' FROM `#__usergroups`');
                                    $groupNames = $db->loadColumn();
                                    $noofroles = count($groupNames);
                                    for ($i = 0; $i < $noofroles; $i++) {
                                        if ($mapping_value == $groupNames[$i]) echo '<option selected="selected" value = "' . $groupNames[$i] . '">' . $groupNames[$i] . '</option>';
                                        else echo '<option value = "' . $groupNames[$i] . '">' . $groupNames[$i] . '</option>';
                                    }
                                    ?>
                                </select>
                            </td>
                        </tr>
                        <?php $j++;
                    }
                }
                ?>
            </table>
            <div class="mo_boot_col-sm-12 mo_boot_text-center">
                <input id="mo_sp_grp_save" type="submit" class="mo_boot_btn  mo_boot_btn-success" value="Save Settings"
                       disabled/>
            </div>
        </div>
    </div>
    <?php
}

function requestfordemo()
{
    $current_user = JFactory::getUser();
    $result = new Mo_Web3_Local_Util();
    $result = $result->_load_db_values('#__miniorange_web3_customer_details');
    $admin_email = isset($result['email']) ? $result['email'] : '';
    if ($admin_email == '') $admin_email = $current_user->email;
    ?>
    <div class="mo_boot_px-3">
        <div class="mo_boot_row mo_boot_p-3" style="border: 2px solid rgb(15, 127, 182);background-color:white">
            <div class="mo_boot_col-sm-12 mo_boot_text-center">
                <h3>Request for Trial</h3>
                <hr>
            </div>
            <div class="mo_boot_col-sm-12" style="background-color: #e2e6ea;border-radius:5px">
                <p>
                    If you want to try the license version of the plugin then you can request for trial for plugin.<br>
                    &nbsp;1) We can give you requested plugin for 7 days trial.<br>
                    &nbsp;2) You can configure the plugin, test the login and play around with the premium features.
                    <br>
                </p>
                <strong>Note:</strong> Please describe your use-case in the <strong>Description</strong> below.
            </div>
            <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                <form name="demo_request" method="post"
                      action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.requestForTrialPlan'); ?>">
                    <div class="mo_boot_row mo_boot_mt-1">
                        <div class="mo_boot_col-sm-4">
                            <p><span style="color: red;">*</span><strong>Email: </strong></p>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <input style="border: 1px solid #868383 !important;" type="email"
                                   class="mo_saml_table_textbox mo_boot_form-control" name="email"
                                   value="<?php echo $admin_email; ?>" placeholder="person@example.com" required/>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-1">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-sm-4">
                                    <p><span style="color: red;">*</span><strong>Request a trial for:</strong></p>
                                </div>
                                <div class="mo_boot_col-sm-8">
                                    <select class="mo_boot_form-control" style="border: 1px solid #868383 !important;" name="plan" required>
                                        <option disabled selected style="text-align: center">----------------------- Select -----------------------</option>
                                        <option value="Joomla Web3 Standard Plugin">Joomla Web3 Standard Plugin</option>
                                        <option value="Joomla Web3 Premium Plugin">Joomla Web3 Premium Plugin</option>
                                        <option value="Not Sure">Not Sure</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-1">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-sm-4">
                                    <p><span style="color: red;">*</span><strong>Description:</strong></p>
                                </div>
                                <div class="mo_boot_col-sm-8">
                                <textarea name="description" class="mo_boot_form-text-control"
                                          style="border-radius:4px;resize: vertical;width:100%; border: 1px solid #868383 !important;"
                                          cols="52" rows="7" required
                                          placeholder="Need assistance? Write us about your requirement and we will suggest the relevant plan for you."></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mo_boot_row mo_boot_text-center">
                        <div class="mo_boot_col-sm-12">
                            <input type="hidden" name="option1" value="mo_saml_login_send_query"/><br>
                            <input type="submit" name="submit" value="Submit" class="mo_boot_btn mo_boot_btn-primary"/>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php
}

/* End of Create Customer function */

function select_your_wallet()
{
    mo_web3_script_enqueue();
    $attribute = new Mo_Web3_Local_Util();
    $attribute = $attribute->_load_db_values('#__miniorange_web3_config_settings');
    $enable_web3_user_login = isset($attribute['enable_web3_user_login']) ? $attribute['enable_web3_user_login'] : 0;
    $enabled_crypto_wallet = json_decode($enable_web3_user_login);
    $enabled_crypto_wallet = (array)$enabled_crypto_wallet;
    $customLoginButtonText = "Login with Cryptowallet";

    $session = JFactory::getSession();
    $current_state = $session->get('show_test_config');
    if ($current_state) {
        ?>
        <script>
            jQuery(document).ready(function () {
                var elem = document.getElementById("test-config");
                elem.scrollIntoView();
            });
        </script>
        <?php
        $session->set('show_test_config', false);
    } ?>

    <div class="mo_boot_row mo_boot_mr-1 mo_boot_py-3 mo_boot_px-2" id="import_export_form" style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);display:none ;">

        <div class="mo_boot_col-sm-12">
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-10">
                    <h3>Import /Export Configuration</h3></div>

                <div class="mo_boot_col-sm-2">
                    <input type="button" class="mo_boot_btn mo_boot_btn-danger" value="Cancel" onclick="hide_import_export_form()"/>
                </div>
            </div><br><hr><br>
        </div>

        <div class="mo_boot_col-sm-12 mo_boot_pl-sm-4">
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-6">
                    <form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.importexport'); ?>">
                        <h3>Export Configurations</h3>
                        <input id="mo_sp_exp_exportconfig" type="button" class="mo_boot_btn mo_boot_btn-saml" onclick="submit();" value="Export Configuration"/>
                    </form>
                </div>

                <div class="mo_boot_col-sm-6">
                    <h3>Import Configurations
                        <sup>
                            <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>Standard</strong></a>,
                            <a href='#' class='premium' onclick="moWeb3Upgrade();"><strong>Premium</strong></a>
                        </sup>
                    </h3>
                    <input type="file" class="form-control-file mo_boot_d-inline" name="configuration_file" disabled="disabled">
                </div>
            </div><br><br>
        </div>

    </div>
    <div class="mo_boot_row mo_boot_mr-1  mo_boot_p-3 mo_boot_px-2" id="tabhead" style="background-color:#FFFFFF; border:2px solid rgb(15, 127, 182);">
        <div class="mo_boot_col-sm-12">
            <form action="<?php echo JRoute::_('index.php?option=com_miniorange_web3&task=myaccount.saveConfig'); ?>"
                  method="post" name="adminForm" id="identity_provider_settings_form" enctype="multipart/form-data">
                <input type="hidden" name="option1" value="mo_wallet"/>
                <div class="mo_boot_row mo_boot_mt-3">
                    <div class="mo_boot_col-lg-12">
                        <h3>Configure Settings
                        <a href="https://plugins.miniorange.com/web3-wallet-login-nft-token-gating-for-joomla" target="_blank" type="button" class="mo_boot_btn mo_boot_btn-saml mo_boot_float-right">Setup Guide</a></h3>
                    </div>
                </div><br><hr>
                <div id="idpdata" class="ex1"></div>
                <div class="mo_boot_row mo_boot_mt-3" id="saml_login">
                    <div class="mo_boot_col-sm-8">
                        <strong>Enable Web3 user Login: <br><br></strong>
                    </div>

                    <?php

                    $multiple_crypto_wallet = Mo_Web3_Local_Util::get_multiple_crypto_wallet();
                    foreach ($multiple_crypto_wallet as $key => $value) {
                        $crypto_wallet = $value;
                        $id = $crypto_wallet['id'];
                        $function = $crypto_wallet['function'];
                        $data = $crypto_wallet['data'];
                        $name = $id;
                        $disabled = '';
                        $upgrade_license = '';
                        if ($name == 'moweb3Phantom' || $name == 'moweb3Myalgo' || $name == 'moweb3Nami' || $name == 'moweb3Typhoncip30' || $name == 'moweb3flint') {
                            $disabled = "disabled=disabled";
                            $upgrade_license = "<strong><a href='#' class='premium' onclick='moWeb3Upgrade();'><strong>[Premium]</strong></a></strong>";
                        }

                        ?>
                        <div class="mo_boot_col-sm-8">
                            <input type="checkbox" name="<?php echo $name; ?>" class="mo_saml_custom_checkbox" <?php echo $disabled; ?> value="checked"
                                <?php if ($enabled_crypto_wallet && isset($enabled_crypto_wallet[$name]) && 'checked' === $enabled_crypto_wallet[$name]) {
                                    echo 'checked';
                                } ?>> <?php echo $data; ?> <?php echo $upgrade_license; ?> <br><br>
                        </div>
                        <?php
                    } ?>
                </div>

                <div class="mo_boot_row mo_boot_mt-4" id="sp_sso_url_idp">
                    <div class="mo_boot_col-sm-4">
                        <strong><span style="color:red">*</span>Custom Login Button Text</strong>
                    </div>
                    <div class="mo_boot_col-sm-8">
                        <input class="mo_saml_table_textbox mo_boot_form-control" type="text"
                               placeholder="Your Custom Button Text " name="custom_login_button_text"
                               style="border: 1px solid #868383 !important;" disabled="disabled"
                               value="<?php echo $customLoginButtonText; ?>" required/>
                        <h6><strong>Note: </strong>Available in Standard and Premium plan.</h6>
                    </div>
                </div>

                <div class="mo_boot_row mo_boot_mt-4">
                    <div class="mo_boot_col-sm-12 mo_boot_text-center">
                        <input type="submit" class="mo_boot_btn mo_boot_btn-success" value="Save"/>
                        <input type="button" id="test-config" <?php if (!empty($enabled_crypto_wallet)) echo "enabled";else echo "disabled"; ?> onclick="show_test_config_modal()" class="mo_boot_btn mo_boot_btn-saml" data-target="#multipleCryptowalletModal" value="Test Web3 Connectivity">
                        <a href="#import_export_form" type="button" class="mo_boot_btn mo_boot_btn-saml" onclick="show_import_export()">Import/Export</a>
                    </div>
                </div>
                <?php
                test_configuration();
                ?>
            </form>

            <!--Modal-->
            <div class="modal fade" style="opacity:100%" id="multipleCryptowalletModal" role="dialog"
                 aria-labelledby="multipleCryptowalletModalTitle" aria-hidden="true">
                <div style="z-index:1000;max-width:600px;" class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div>
                                <h5 class="modal-title" id="exampleModalLongTitle">Connect to your favourite CryptoWallet</h5>
                                <div id="moweb3CustomErrorMessage"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="mo_boot_col-lg-1">
                <div id="my_TC_Modal" class="TC_modal">
                    <div class="TC_modal-content">
                        <div class="mo_boot_row">
                            <div class="mo_boot_col-12 mo_boot_text-center">
                                <span style="font-size: 28px;"><strong>Connect to your favourite CryptoWallet</strong></span>
                                <span class="TC_modal_close" onclick="close_test_config_modal()">&times;</span>
                            </div>
                        </div><hr>
                        <?php

                        $is_testing = 1;
                        $multiple_crypto_wallet = Mo_Web3_Local_Util::get_multiple_crypto_wallet();

                        foreach ($multiple_crypto_wallet as $key => $value) {
                            $name = $value['id'];
                            $function = $is_testing ? $value['testing_function'] : $value['function'];
                            $id = $name;
                            if ($enabled_crypto_wallet && isset($enabled_crypto_wallet[$name]) && 'checked' === $enabled_crypto_wallet[$name]) {
                                ?>
                                <div onclick="<?php echo $function; ?>" id="<?php echo $id; ?>" class="hover">
                                    <div class="mo_boot_col-sm-12">
                                        <div class="mo_boot_text-center">
                                            <?php
                                            $base_url = JUri::base();
                                            $wallet_images = $value['logo'];
                                            $wallet_images_count = count($wallet_images);
                                            for ($i = 0; $i < $wallet_images_count; $i++) {
                                                ?>
                                                <img width="30" height="30" style="float: none !important;"
                                                     src="<?php echo $base_url . 'components/com_miniorange_web3/assets/images/' . $wallet_images[$i]; ?>"/>&nbsp;&nbsp;&nbsp;
                                            <?php } ?>
                                            <div>
                                                <h5><?php echo $value['data']; ?></h5>
                                            </div>

                                            <div style="color:#B2B2B2">
                                                <p style="font-size:1rem;">Connect to
                                                    your <?php echo $value['data']; ?></p>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <hr>
                                <?php
                            }
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}

function test_configuration() {
    $siteUrl = JURI::base() . '/components/com_miniorange_web3/assets/images/green-check.svg';
    ?>
    <div>
        <button type="button" class="btn btn-primary" id="moweb3_display_modal" style="display:none" data-toggle="modal" data-target="#moweb3_test_modal">Test Configuration</button>

        <div class="mo_boot_col-lg-1">
            <div id="moweb3_test_modal" class="TC_modal" style="opacity:100%;z-index:2 !important;" aria-labelledby="moweb3_test_modal_label" aria-hidden="true">
                <div class="TC_modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="moweb3_test_modal_label">Test Results: Test Successful</h5>
                    </div>
                    <div class="modal-body">
                        <div class="d-flex justify-content-center">
                            <div style="width:100%;color: #3c763d;background-color: #dff0d8; padding:2%;margin-bottom:20px;text-align:center; border:1px solid #AEDB9A; font-size:18pt;">
                                TEST SUCCESSFUL
                            </div>
                        </div>

                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">Attribute Name</th>
                                <th scope="col">Attribute Value</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr>
                                <th scope="row">Wallet Address</th>
                                <td id="wallet_address"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal"
                                onclick="close_test_config_modals()">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}

/**
 * Enqueue style, css & JS requrired for crypto login button
 */
function mo_web3_script_enqueue()
{
    Mo_Web3_Local_Util::enque_files("test_connection");
}
